package test.entity;

import java.io.Serializable;
import java.util.LinkedList;
import java.util.List;

import javax.persistence.ElementCollection;
import javax.persistence.Entity;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.persistence.FetchType;

import test.type.MyType;

@Entity
public class MyEntity implements Serializable {
	
	private static final long serialVersionUID = 553265091348926770L;
	
	@ElementCollection(fetch = FetchType.EAGER) @Enumerated(EnumType.STRING)
	private List<MyType> types = new LinkedList<MyType>();
	
	public List<MyType> getTypes() {
		return this.types;
	}
	
}
